apt 3.2.0 commandline package manager

Public Member Functions | Public Attributes | List of all members
Solver::Work Struct Reference

A single work item. More...

`#include <apt-pkg/solver3.h>`

## Public Member Functions
constexpr bool | operator< (APT::Solver::Solver::Work const &b) const noexcept
std::string | toString (pkgCache &cache) const
constexpr | Work (const Clause *clause, level_type level) noexcept

## Public Attributes
const Clause * | clause
level_type | level
size_t | size {0}
| Number of valid choices at insertion time.

## Detailed Description

A single work item.

A work item is a positive dependency that still needs to be resolved. Work is ordered, by level, length of solutions, and optionality.

The work can always be recalculated from the state by iterating over dependencies of all packages in there, finding solutions to them, and then adding all dependencies not yet resolved to the work queue.

The documentation for this struct was generated from the following files:

- apt-pkg/solver3.h
- apt-pkg/solver3.cc